

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.DailyAggHandle
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/6/29 15:07
 */
case class zxr_evaluate_results() extends DailyAggHandle {
  override def getDynamicInfo(): Map[String, String] = {
    Map(
      "code" -> "301901"
      , "description" -> "新增询价评估"
    )
  }

  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    val keyno = new_data.getOrEmptyStr("keyno")
    val name = new_data.getOrEmptyStr("name")
    Seq(AssociationEntityInfo(keyno = keyno, name = name, risk_level = NgCompanyRiskLevelType.Caution, null))
  }
}

